Bug 240667 - yum should have gpgcheck disabled on commnad line
Summary: yum should have gpgcheck disabled on commnad line
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-19 18:03 UTC by vikram goyal
Modified: 2014-01-21 22:58 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-20 03:40:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description vikram goyal 2007-05-19 18:03:41 UTC
Description of problem:
When installing some packs like sun, acroread etc which are not signed one has
to disable gpgcheck in yum.conf, which sometimes leads to being left in that
order. This poses a risk.

In my view yum should have a command line switch to disable gpgcjeck for that
particular invocation so that yum.conf is not disturbed and also if gpgcjeck is
disabled then a warning message whould be displayed to the user.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Seth Vidal 2007-05-20 03:40:07 UTC
yum in fedora 7 has this feature.



Note You need to log in before you can comment on or make changes to this bug.